package cclotus.weixin.gateway.service;

import cclotus.weixin.util.WeixinError;
import reactor.core.publisher.Mono;

public interface TokenService {
	void clearToken(String appid);

	Mono<String> fetchToken(String appid, boolean force) throws WeixinError;

	Mono<String> fetchToken(String appid) throws WeixinError;

	Mono<String> fetchTicket(String appid) throws WeixinError;

	Mono<String> fetchOpenid(String appid, String code) throws WeixinError;
}
